(* SPELLGBL.PAS - Copyright (c) 1995-1996, Eminent Domain Software *)

unit SpellGbl;
  (*Constant and Type declarations for EDSSpell component*)
interface

type
  TLanguages       = (lgEnglish, lgSpanish, lgBritish, lgItalian, lgDutch);
  TDialogTypes     = (dtWordPerfect, dtMSWord, dtWordPro96);

const
  ValidChars: set of Char =        {valid characters used for parsing buffer}
    [#39{'}, 'a'..'z', 'A'..'Z', #130{},
     #160{}..#165{}];
  MaxBuffer       = 65535;
  Dictionaries    : array[TLanguages] of string[8]  =
    ('English', 'Spanish', 'British', 'Italian', 'Dutch');
  Margin          = 10;            {margin for moving dialog}

type
  TBigBuffer = array[1..MaxBuffer] of Char;
  PBigBuffer = ^TBigBuffer;

{Language Message Constants for EDSSpell}
{$I SpellMsg.Inc}

implementation

end.  { SpellGbl }
